Subject: b19 file I/O
From: [email-masked] (Jacob Langseth)

18 Mar 1998 05:14:16 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "[email-masked]'" <[email-masked]>

c:\temp\tst == ${CYGROOT}/include for the benchmark.

### b18 test

C:\TEMP\tst>\b18\time \b18\gzip -r1 . & \b18\time \b18\gzip -rda .
Command exited with non-zero status 2
0.00user 0.00system 0:42.42elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+0minor)pagefaults 0swaps
0.00user 0.00system 0:16.35elapsed 0%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+0minor)pagefaults 0swaps

### b19 test

C:\TEMP\tst>\b19\time \b19\gzip -r1 . & \b19\time \b19\gzip -rda .
Command exited with non-zero status 2
5.63user 20.09system 2:47.66elapsed 15%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+0minor)pagefaults 0swaps
4.86user 60.64system 11:29.25elapsed 9%CPU (0avgtext+0avgdata 0maxresident)k
0inputs+0outputs (0major+0minor)pagefaults 0swaps

####

16 seconds vs. *11 and a half minutes* for decompression???

*Ouch!*

What happened to slow it down so much?  From what I can tell
(er, speculate in my cloud of ignorance), it seems as if b19 might
be flushing data to the disk after every fclose(), rather than letting
the file cache do it's thing...  I say this because tar pauses and the
hdd crunches after every file in b19, while b18 extraction is much
more continuous.  Oh well, stabs in the dark...

Any suggestions as to how to improvie this?  (other than
downgrading / hacking up my path to point at b18 tar/gzip?)

My system is a p120 w/ 64MB RAM, NT40 SP3.

# b18 executables
05/08/97  03:53p               508,469 cygwin.dll
05/08/97  03:51p                12,800 time.exe
05/08/97  03:51p                44,032 gzip.exe

# b19 executables
03/16/98  01:46p               393,728 cygwinb19.dll
	(v 19.1)
02/26/98  11:18a                13,312 time.exe
02/26/98  11:18a                46,080 gzip.exe

Thanks,
	Jacob
-- 
Jacob Langseth <[email-masked]>
CTI Engineer -- Enhanced Systems, Inc.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".